Skip to main content
GET
/
platform
/
appdev
/
headless-app
/
logs
/
runtime
Error
A valid request URL is required to generate request examples
{
  "isTruncated": true,
  "logs": [
    {
      "key": "<string>",
      "lastModified": "2023-11-07T05:31:56Z",
      "logUrl": "<string>",
      "size": 123
    }
  ],
  "maxResults": 123,
  "nextToken": "<string>",
  "prefix": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

prefix
string

The optional date filter, in the format "yyyy-mm-dd-hh". example usage: for year 2024, datePrefix=2024 for first month of 2024, datePrefix=2024-01 for first day, first month of 2024, datePrefix=2024-01-01

maxResults
integer<int32>
default:300

The maximum number of records to list in a single response. defaults to 20, maximum is 100

nextToken
string

A pagination token

responseFields
string

limits which fields are returned in the response body

Response

OK

Response object for looking up headless storefront runtime logs.

isTruncated
boolean

Flag to indicate if all results were returned. If IsTruncated is true, use NextToken to retrieve additional results.

logs
object[] | null

A list of items representing headless application build jobs.

maxResults
integer<int32>

The max result provided in runtime log lookup

nextToken
string | null

A token used for paginating through runtime logs on subsequent requests.

prefix
string | null

The prefix provided in runtime log lookup